Tag: rpm

Установка rpm и зависимостей

Я пытаюсь установить rpm, а именно базу данных Oracle 10g для CentOS 6 для тестирования приложения. Проблема в том, что на компьютере, на котором установлена ​​ОС, нет доступа к Интернету, и есть список зависимостей, которые нужны 10g, которые также имеют другие зависимости от библиотеки. Если «yum» не бесполезен в этом случае, есть ли где-то, или […]

настройка yum в лишенном Linux

У меня есть ящик, содержащий минимальные двоичные файлы, необходимые для запуска Scientific Linux. Я хочу, чтобы установить дополнительные программы. Я мог установить rpm и попытался установить yum, но разрешение этих зависимостей – боль. Есть ли простой способ сделать это ?. Я хочу, чтобы все эти основные утилиты были установлены без особых усилий. По крайней мере, […]

Автоматически устанавливать зависимости сборки перед созданием пакета RPM

Я пытаюсь создать пакет .rpm. Я только что выполнил шаги, чтобы сделать это. До сих пор все шаги прошли хорошо, но теперь я просто застрял с этим шагом. Я только что выполнил следующую команду и получил эту ошибку: rpmbuild -ba asterisk.spec error: Failed build dependencies: gtk2-devel is needed by asterisk-1.8.12.2-1.fc15.x86_64 libsrtp-devel is needed by asterisk-1.8.12.2-1.fc15.x86_64 […]

Что включать в RPM, созданный из пакетов python

Я ищу для создания rpm для этого tarball и не мог определить, какие файлы должны быть включены в пакет после установки. Я использую для компиляции кода и включая двоичный вывод; однако, так как это все python и, похоже, использует distutils для установки, есть ли даже bin / executable для включения в пакет? Я подумал, что […]

Linux Fedora 20: как я могу справиться с «ошибкой импорта (2)»?

Я пытаюсь заставить yum работать при попытке установить emacs в моей недавней установке Fedora 20 и разместил вопрос на этом сайте. «Как я могу заставить yum и интернет-браузер работать после новой установки Fedora 20», что вызвало несколько полезных ответов (многие благодаря плакатам), но ни один из них, к сожалению, не решил это. Я не ожидаю, […]

libmpg123 bugging up yum

Мне пришлось вручную установить некоторые зависимости в моих попытках заставить Netflix работать вчера с pipelight и, в конечном счете, не удалось. Я удалил все, что я установил во время этого процесса, но когда я запустил обновление yum, я получаю следующее: Transaction Summary ================================================================================ Install ( 2 Dependent packages) Upgrade 1 Package Total size: 442 k […]

Предварительно скомпилированный финал заменит Fedora 20?

Недавно я потерял свой жесткий диск с двойной загрузкой (с Linux и Windows). Он сделал некоторые странные вещи и начал менять все файлы на чтение только при каждом запуске. Итак, я купил новый жесткий диск и поставил Fedora 20 на него. Теперь единственное, что я хочу заменить, – Finale (я нашел приемлемые заменители или версии […]

/ sys: cpio: chown failed – файловая система только для чтения (построение RPM с использованием Docker)

Хотя я пытаюсь построить rpm с помощью Docker for Phusion Passenger 4.0.53 ( https://github.com/phusion/passenger_rpm_automation ), я получаю следующую ошибку. Любая помощь очень ценится. $ ./build -p /srv/passenger_rpm_automation/passenger -P /srv/passenger_rpm_automation/passenger-release-4.0.53 -o /srv/passenger_rpm_automation/out -d 'el6' -a 'x86_64' -c /srv/passenger_rpm_automation/cache . . rpm:passenger:el6:x86_64: 2014-12-11 15:17:10 — Error unpacking rpm package filesystem-2.4.30-3.el6.x86_64 rpm:passenger:el6:x86_64: 2014-12-11 15:17:10 — error: unpacking of […]

rpmbuild другой путь для sysconfdir

Я opensips rpm для opensips и я хочу установить этот пакет в /opt/opensips путь вместо системного пути по умолчанию Я определил следующее в моем файле SPEC %define _prefix /opt/opensips %define _sysconfdir /opt/opensips/etc %define _libdir /opt/opensips/lib64 %define _datadir /opt/opensips/share %define _sbindir /opt/opensips/sbin %define _bindir /opt/opensips/bin %define _mandir /opt/opensips/share/man … … … %build LOCALBASE=/usr NICER=0 CFLAGS="%{optflags}" %{?_with_oracle:ORAHOME="$ORACLE_HOME"} […]

Как установить evince на выпуск CentOS Linux 7.0.1406

На моем выпуске CentOS Linux версии 7.0.1406 программа чтения PDF не корректно отображает цвета изображений, которые отправляются с MacOSx / CS Adobe Acrobat. Есть ли способ установить Evince с Yum на эту конкретную версию; возможно, специальное репо? или установить прямое RPM. Надеюсь, это лучший PDF-читатель, чем тот, который является PDF-читателем по умолчанию, который находится на […]

Linux и Unix - лучшая ОС в мире.